--------------------------------------------------------------------------------
-- Weapon Cookie
-- Original Carnage Contest Weapon
-- Script by DC, September 2009, www.UnrealSoftware.de
--------------------------------------------------------------------------------

-- Setup Tables
if cc==nil then cc={} end
cc.chocobar={}

-- Load & Prepare Ressources
cc.chocobar.gfx_wpn=loadgfx("ZJ/chocobar.png")							-- Weapon Image
setmidhandle(cc.chocobar.gfx_wpn)
cc.chocobar.gfx_pro=loadgfx("ZJ/chocobar_icon.bmp")							-- Icon Image
setmidhandle(cc.chocobar.gfx_pro)
cc.chocobar.sfx_eat=loadsfx("supplyland.ogg")									-- Eat Sound

--------------------------------------------------------------------------------
-- Weapon: Cookie
--------------------------------------------------------------------------------

cc.chocobar.id=addweapon("cc.chocobar","Chocolate Bar",cc.chocobar.gfx_pro,0,0)		-- Add Weapon (0 uses)

function cc.chocobar.draw()												-- Draw
	if (weapon_shots==0) then
		if getplayeraction(0)==0 then
			setblend(blend_alpha)
			setalpha(1)
			setcolor(255,255,255)
			setscale(getplayerdirection(0),1)
			setrotation(0)
			drawimage(cc.chocobar.gfx_wpn,getplayerx(0)+getplayerdirection(0)*7,getplayery(0)+2)
		end
	end
end

function cc.chocobar.attack(attack)										-- Attack
	if (weapon_shots<=0) then
		if (attack==1) then
			-- Use weapon and allow to use another one afterwards (1)
			useweapon(1)
			weapon_shots=weapon_shots+1
			-- Heal
			playerheal(0,10)
			-- Effect
			playsound(cc.chocobar.sfx_eat)
			-- End Turn
			endturn()
		end
	end
end